textures/siege/teleporter_s
{
	qer_editorimage textures/siege/lines2.tga
	qer_trans 0.5

	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull disable
	{
		map textures/siege/rep_cyl.jpg
		blendfunc add
		rgbGen vertex
		tcMod scroll 0.2 0
	}
	{
		map textures/siege/lines2.tga
		blendfunc add
		rgbGen identity
		tcMod scroll 0 0.2
	}
}

textures/siege/teleporter2_s
{
	qer_editorimage textures/siege/lines2.tga
	qer_trans 0.5

	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull disable
	{
		map textures/siege/rep_cyl.jpg
		blendfunc add
		rgbGen vertex
		tcMod scroll 0.2 0
	}
	{
		map textures/siege/lines2.tga
		blendfunc add
		rgbGen identity
		tcMod scroll 0 0.2
	}
}

textures/siege/white_uppy_s
{
	cull none
	entityMergable
	{
		map textures/siege/white_uppy.tga
		blendFunc blend
		rgbGen		vertex
		alphaGen	vertex
	}
}

textures/siege/eshield_s
{
	qer_editorimage textures/siege/eshield.jpg

	surfaceparm nomarks
	{
		map textures/siege/eshield.jpg
		blendfunc add
		tcMod scroll 1 0
	}
}

textures/siege/sky
{
	qer_editorimage textures/siege/sky_arc_masked.tga
	
	q3map_sunExt 1 1 1 140 -35 25 2 1
	
	q3map_lightRGB 1.0 0.4 0.0
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 90 3
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms textures/siege/env/sky 1024 -
	
	nopicmip
	nomipmaps
}

textures/siege/dust1_s
{
	cull none
	entityMergable
	{
		map textures/siege/dust1.tga
		blendFunc blend
		rgbGen		vertex
		alphaGen	vertex
	}
}

textures/siege/fogthin_s
{
	qer_editorimage textures/sfx/fog_black.tga
	qer_nocarve
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	qer_nocarve
	fogparms ( .388 .145 0 ) 3000
}

textures/siege/mist_s
{
	entityMergable
	cull none
	{
		map textures/siege/mist.tga
		blendFunc 	blend
		rgbGen	vertex
		alphaGen	vertex
	}
}

textures/siege/force_field_s
	{
        qer_editorimage textures/siege/force_field.jpg
	surfaceparm trans	
        surfaceparm nomarks	
	surfaceparm nolightmap
	cull none
	{
		map textures/siege/force_field.jpg
		blendFunc add
	}
	{
		map textures/siege/force_grid.jpg
		tcMod Scroll -.01 0
		blendFunc add
		rgbgen wave sin .2 .2 0 .4
	}
}

textures/siege/lava_s
{
	qer_editorimage textures/siege/lava.tga
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nomarks
	surfaceparm trans
	q3map_surfacelight 50
	q3map_lightimage textures/siege/lava.tga
	{
		map textures/siege/lava.tga	
		rgbGen wave sin .9 .1 0 .2
		tcMod turb 0 .1 1 .05
		tcMod scroll 0 .02
	}
	{
		map textures/siege/lava_crust.tga
		blendfunc gl_one gl_one_minus_src_alpha
		tcMod turb 0 .05 .5 .025
		tcMod scroll 0 .02
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
}

textures/siege/lava2_s
{
	qer_editorimage textures/siege/lava.jpg
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	q3map_surfacelight 200
	q3map_lightimage textures/siege/lava.jpg
	{
		map textures/siege/lava.tga	
		rgbGen wave sin .9 .1 0 .2
		tcMod turb 0 .001 .01 .0005
		tcMod scroll 0 .002
	}
}

textures/siege/lavaCrust_s
{
	qer_editorimage textures/siege/lava_crustEdge.tga
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/siege/lava_crustEdge.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		//alphafunc GE128
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
}

textures/siege/cubelight_32_blue_s
{
	qer_editorimage textures/siege/cubelight_32_blue.jpg
	surfaceparm nomarks
	q3map_surfacelight 10000
	q3map_lightRGB .5 .75 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/siege/cubelight_32_blue.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/siege/cubelight_32_blue.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/siege/cubelight_32_red_s
{
	qer_editorimage textures/siege/cubelight_32_red.jpg
	surfaceparm nomarks
	q3map_surfacelight 20000
	q3map_lightRGB 1 .1 .1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/siege/cubelight_32_red.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/siege/cubelight_32_red.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}


textures/siege/cubelight_32_white_s
{
	qer_editorimage textures/siege/cubelight_32_white.jpg
	surfaceparm nomarks
	q3map_surfacelight 30000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/siege/cubelight_32_white.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/siege/cubelight_32_white.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/siege/e6bsegrtflr256_s
{
	qer_editorimage textures/siege/e6bsegrtflr256.tga
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none
	nopicmip
	{
		map textures/siege/e6bsegrtflr256.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}

textures/siege/lig_032-01y1-2k
{
	qer_editorimage textures/siege/032lig10ya.jpg
	q3map_lightimage textures/siege/032lig10y.blend.jpg
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/siege/032lig10ya.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/siege/032lig10y.blend.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/siege/lig_032-05b2-2k
{
	qer_editorimage textures/siege/032lig20bb.jpg
	q3map_lightimage textures/siege/032lig20b.blend.jpg
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/siege/032lig20bb.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/siege/032lig20b.blend.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/siege/lig_128-03r3-2k
{
	qer_editorimage textures/siege/octlig01rc.jpg
	q3map_lightimage textures/siege/sqrlig02r2.blend.jpg
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/siege/octlig01rc.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/siege/sqrlig02r2.blend.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/siege/tin_s
{
	qer_editorimage textures/siege/tin.jpg
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/siege/tin.jpg
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		alphaGen lightingSpecular
	}
}

textures/siege/flare_01
{
	qer_editorimage textures/siege/flare_01.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.6
	{
		map textures/siege/flare_01.tga
		blendfunc add
	}
}